Retrieve an employee
Retrieve a single employee.
Access
Access
EstablishmentsThis API endpoint will filter out results based on accessible business-establishments.You may only access employees whose applicable business-establishments are accessible to you.
Authorizations
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Headers
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Query Parameters
Include metadata:
embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request). May benullwhen you do not have access to the resource (or action). Includes the download links of the files the resource references, underlinks.files.totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.
Read more about expanding responses.
embedded, links, totalCount Response
OK
An employee resource.
Read-only. The employee status is calculated from the employee's employments.
- active: employee has an employment as of today.
- upcoming: employee currently has no employment but will have one in the future.
- deactivated: employee used to have an employment but no longer does.
active, upcoming, deactivated "active"
Read-only. Reference to the applicable employment of this employee. If the employee status is "deactivated", then references their last employment. If the employee status is "upcoming", then references their closest next employment.
Read-only. Reference to the active job-position of this employee. Matches the same logic as the "applicableEmployment".
Read-only. UTC timestamp of the moment this object was last updated.
Set upon creation, update or deletion of the object.
The UTC offset may be written Z or +00:00, with up to 7 fractional digits of a second.
"2023-01-23T12:45:23.1234567+00:00"
"2023-01-23T12:45:23.1234Z"